Bug 848391 - Add non-existing Network to Cluster - empty error message
Add non-existing Network to Cluster - empty error message
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Mike Kolesnik
GenadiC
network
: EasyFix
Depends On: 743830
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-15 09:26 EDT by lpeer
Modified: 2016-02-10 14:55 EST (History)
11 users (show)

See Also:
Fixed In Version: si16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 743830
Environment:
Last Closed: 2012-12-04 15:00:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lpeer 2012-08-15 09:26:19 EDT
+++ This bug was initially created as a clone of Bug #743830 +++

Steps to reproduce: 

1) Add network to cluster, with a network-id that doesn't exist in rhevm database, for example: 

  <network id="2b8efd92-1779-40db-87a4-043f27dd3bc0">
    <name>green</name>
  </network>

2) Failure at database level (naturally).

3) VdcReturnValueBase object, which is returned, has emtpy executeFailedMessages[] array (the error can be seen only in 'fault' field which is internal).


Expected Results: 

VdcReturnValueBase-->executeFailedMessages[] should contain a description of the failure.
Comment 1 lpeer 2012-08-20 06:31:46 EDT
http://gerrit.ovirt.org/7333
Comment 4 GenadiC 2012-09-02 10:22:00 EDT
Verified in SI16

Note You need to log in before you can comment on or make changes to this bug.